Mints a short-lived token for authorizing an embedded chat session.
curl --request POST \
--url https://app.cassidyai.com/api/assistants/embed/token/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deployment_key": "<string>",
"expires_in_seconds": 123
}
'import requests
url = "https://app.cassidyai.com/api/assistants/embed/token/create"
payload = {
"deployment_key": "<string>",
"expires_in_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deployment_key: '<string>', expires_in_seconds: 123})
};
fetch('https://app.cassidyai.com/api/assistants/embed/token/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cassidyai.com/api/assistants/embed/token/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'deployment_key' => '<string>',
'expires_in_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cassidyai.com/api/assistants/embed/token/create"
payload := strings.NewReader("{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.cassidyai.com/api/assistants/embed/token/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cassidyai.com/api/assistants/embed/token/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"expires_at": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Agents
Mints a short-lived token for authorizing an embedded chat session.
Used for Agents with an embed deployment and secure token mode enabled. Use this endpoint from your backend after authenticating your user. Return the token to your frontend for iframe embeds or modal initialization. Learn more here.
POST
/
assistants
/
embed
/
token
/
create
Mints a short-lived token for authorizing an embedded chat session.
curl --request POST \
--url https://app.cassidyai.com/api/assistants/embed/token/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deployment_key": "<string>",
"expires_in_seconds": 123
}
'import requests
url = "https://app.cassidyai.com/api/assistants/embed/token/create"
payload = {
"deployment_key": "<string>",
"expires_in_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deployment_key: '<string>', expires_in_seconds: 123})
};
fetch('https://app.cassidyai.com/api/assistants/embed/token/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cassidyai.com/api/assistants/embed/token/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'deployment_key' => '<string>',
'expires_in_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cassidyai.com/api/assistants/embed/token/create"
payload := strings.NewReader("{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.cassidyai.com/api/assistants/embed/token/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cassidyai.com/api/assistants/embed/token/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deployment_key\": \"<string>\",\n \"expires_in_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"expires_at": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Body
application/json